Subject: [netmod] Module tags [Re: Augmenting an unimplemented module]

From: Christian Hopps <[email-masked]>
Date: Wed, 08 Feb 2017 13:25:10 -0500

Martin Bjorklund <[email-masked]> writes:

> Juergen Schoenwaelder <[email-masked]> wrote:
>> On Wed, Feb 08, 2017 at 09:06:19AM -0500, Christian Hopps wrote:
>> >
>> > We also went with the split route with our tags draft.
>> >
>> > https://datatracker.ietf.org/doc/draft-rtgyangdt-netmod-module-tags/
>> >
>> > Features like deviations were not liked internally by the group. 2
>> > modules seemed like the KISS approach.
>> >
>>
>> I wonder why your define add-tags, remove-tags, and reset-tags
>> operations given that we have generic primitives to edit datastores.
>
> I think (hope) they mean that these operations affect only the tags in
> yang-library, not the config container 'modules-tags' in the module
> itself.

There's a single logical tag list for a module that is possibly exposed
in 2 locations depending on what the server supports.

> But I think it would be better to only have these tags in the
> yang-library, and not in the module itself.  (In that case the rpcs
> are required).

The module tags are useful if the yang library is not there, it is also
useful to have the module tags for writing concise xpath selection
criteria.

> Also, it might be useful if the module designer could tag modules
> at design time, using an extension:
>
>   mt:module-tag "ietf:element-model";
>   mt:module-tag "vendor:native";

We have text in the document that talks specifically about module
authors initially seeding the tag list.

Thanks,
Chris.

> /martin